import 'package:get/get.dart';
import 'package:vitalapp/architecture/defines.dart';

class LoginState {
  final RxString _account = ''.obs;
  final RxString _password = ''.obs;

  /// 是否自动登录
  final RxBool _isAutoLogin = false.obs;

  /// 账号
  String get account => _account.value;
  set account(String val) => _account.updateValue(val);

  /// 密码
  String get password => _password.value;
  set password(String val) => _password.updateValue(val);

  /// 是否自动登录
  bool get isAutoLogin => _isAutoLogin.value;
  set isAutoLogin(bool val) => _isAutoLogin.updateValue(val);
}
